/*
 * Led_Blinking.c
 * Program to demonstrate Led_Blinging
 * 
 * Created: 11/6/2012 7:46:53 PM
 *  Author: xplore_labz
 *  note: Leds can be connected to any of the ports as all the ports are blinked
 */ 


/* io.h contains the defnition of all ports and SFRs 
   delay.h contains the in built delay routines(us and ms routines)*/
#include <avr\io.h> 
#include <util\delay.h> 



#define LedOn 0xFF
#define LedOff 0x00

/* start the main program */
int main() 
{
  /* Configure all the ports as output */
  DDRA=0xff;
  DDRB=0xff;
  DDRC=0xff;
  DDRD=0xff;

  while(1)
    {

	 /* Turn On all the leds and wait for one second */ 
	   PORTA=LedOn;
	   PORTB=LedOn;
	   PORTC=LedOn;
	   PORTD=LedOn;

	   _delay_ms(1000);


	 /* Turn off all the leds and wait for one second */
	   PORTA=LedOff;
	   PORTB=LedOff;
	   PORTC=LedOff;
	   PORTD=LedOff;				   

	   _delay_ms(1000);
	  }

    return 0;
  }

